PgBeam Docs

List support cases

GET
/v1/organizations/{org_id}/support/cases

Lists support cases for the organization with optional status and search filters.

Authorization

AuthorizationBearer <token>

JWT issued by Better Auth. Verified via JWKS.

In: header

Path Parameters

org_id*string

Unique organization identifier.

Query Parameters

status?string

Filter by case status.

search?string

Search cases by title.

page_size?integer

Number of results per page (1-100, default 20).

page?integer

Page number (1-based, default 1).

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/organizations/org_abc123/support/cases"
{  "cases": [    {      "id": "sc_01h455vb4pex5vsknk084sn02q",      "case_number": 0,      "org_id": "string",      "user_id": "string",      "title": "string",      "severity": 1,      "status": "open",      "slack_channel_id": "string",      "slack_thread_ts": "string",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "closed_at": "2019-08-24T14:15:22Z",      "message_count": 0    }  ],  "total": 0}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}